Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.homologene
Interface Orthologue

All Known Implementing Classes:
  SimpleOrthologue

    public interface Orthologue

this entry contains data about the orthologue.

Method Summary
`String` | `getAccession()` get the Accession ID associated with this orthologue.
`String` | `getHomologeneID()` get the Homologene ID.
`String` | `getLocusID()` get the locus ID associated with this orthologue.
`Taxon` | `getTaxon()` return the Taxon associated with this orthologue
`int` | `getTaxonID()` a convenience method to return the TaxonID for thsi orhtologue.
`String` | `getTitle()` return the title used by Genbank for this protein
`void` | `setTitle(String title)`

Method Detail

### getTitle

    String getTitle()

  return the title used by Genbank for this protein

### getTaxon

    Taxon getTaxon()

  return the Taxon associated with this orthologue

### getTaxonID

    int getTaxonID()

  a convenience method to return the TaxonID for thsi orhtologue.

### getLocusID

    String getLocusID()

  get the locus ID associated with this orthologue. It can be null.

### getHomologeneID

    String getHomologeneID()

  get the Homologene ID. This is unique and always defined.

### getAccession

    String getAccession()

  get the Accession ID associated with this orthologue.

### setTitle

    void setTitle(String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD